import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listLift(query) {
  return request({
    url: '/business/lift/list',
    method: 'get',
    params: query
  })
}

export function listAllById(ids) {
  return request({
    url: '/business/lift/listAllById/' + ids,
    method: 'get',
  })
}

// 查询【请填写功能名称】详细
export function getLift(id) {
  return request({
    url: '/business/lift/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addLift(data) {
  return request({
    url: '/business/lift',
    method: 'post',
    data: data
  })
}

// 新增【请填写功能名称】
export function addLiftBatch(data) {
  return request({
    url: '/business/lift/updateLiftBatch',
    method: 'put',
    data: data
  })
}


// 修改【请填写功能名称】
export function updateLift(data) {
  return request({
    url: '/business/lift',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delLift(id) {
  return request({
    url: '/business/lift/' + id,
    method: 'delete'
  })
}

// 生产令号录入
export function updateOrderNoBo(data) {
  return request({
    url: '/business/lift/updateOrderNoBo',
    method: 'put',
    data: data
  })
}
export function updateProductionOrderNo(ids) {
  return request({
    url: '/business/lift/updateProductionOrderNo/' + ids,
    method: 'put',
  })
}
export function selectProductionOrderNo(productionOrderNo) {
  return request({
    url: '/business/lift/selectProductionOrderNo/' + productionOrderNo,
    method: 'get',
  })
}
